using JamesKovacs.Common;

namespace JamesKovacs.FlexibleSoftware.Domain {
    public static class ApplicationStartup {
        public static void Initialize() {
            SimpleDependencyContainer container = new SimpleDependencyContainer();
            container.Register<ICustomerRepository>(new CustomerRepositoryAuditor(new CustomerRepository()));
            IoC.Initialize(container);
        }
    }
}